sc::CartesianIter(3)

NAME
sc::CartesianIter - CartesianIter gives the ordering of the Cartesian functions within a shell for the particular integrals specialization.

SYNOPSIS

#include <cartiter.h>

Inherited by sc::CartesianIterV3.

  Public Methods
CartesianIter (int l)
Initialize an iterator for the given angular momentum.
virtual ~CartesianIter ()
virtual void start ()=0
Start the iteration.
virtual void next ()=0
Move to the next Cartesian function.
virtual operator int ()=0
Returns nonzero if the iterator currently hold valid data.
int n ()
Returns the number of Cartesian functions.
int a ()
Returns the exponent of x.
int b ()
Returns the exponent of y.
int c ()
Returns the exponent of z.
int l ()
Returns the angular momentum.
int l (int i)
Returns a() if i==0, b() if i==1, and c() if i==2.
int bfn ()
Returns the number of the current basis function within the shell.

  Protected Attributes
int a_
int b_
int c_
int l_
int bfn_

DETAILED DESCRIPTION

CartesianIter gives the ordering of the Cartesian functions within a shell for the particular integrals specialization.

MEMBER FUNCTION DOCUMENTATION

  int sc::CartesianIter::bfn () [inline]

Returns the number of the current basis function within the shell.

This starts at 0 and sequentially increases as next() is called.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.